import javax.swing.*;
import java.awt.event.KeyEvent;

public class Fenetre extends JFrame {
    JMenuBar jmBar;

    JMenu jmFichier;
    JMenuItem jmIQuitter;

    JMenu jmDonnees;
    JMenuItem jmIRedessiner;
    JMenuItem jmIAjouterColonne;
    JMenuItem jmISupprimerColonne;
    JMenuItem jmIEffacerDonnee;

    JPanel panelDonnee;
    JPanel panelDessin;

    public Fenetre () {
        super ("Courbe");

        initMenu();

        initPanel();

        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(800, 700);
        setLocationRelativeTo(null);
        setVisible(true);
    }

    private void initPanel() {
        panelDonnee = new PanelDonnee();
        panelDessin = new PanelDessin();

        JSplitPane split = new JSplitPane(JSplitPane.VERTICAL_SPLIT, panelDonnee, panelDessin);
        split.setDividerLocation(350);
        split.setDividerSize(5);

        this.add(split);
    }

    private void initMenu() {
        jmBar = new JMenuBar();

        jmFichier = new JMenu("Fichier");
        jmIQuitter = new JMenuItem(new MyAction("Quitter", KeyEvent.VK_Q, e -> {
            System.exit(0);
        }));

        jmFichier.add(jmIQuitter);

        jmDonnees = new JMenu("Données");
        jmIRedessiner = new JMenuItem((new MyAction("Redessiner", KeyEvent.VK_R, e -> {
            System.out.println("Redessiner");
        })));
        jmIAjouterColonne = new JMenuItem((new MyAction("Ajouter une colonne", KeyEvent.VK_A, e -> {
            System.out.println("Ajouter une colonne");
        })));
        jmISupprimerColonne = new JMenuItem((new MyAction("Supprimer une colonne", KeyEvent.VK_S, e -> {
            System.out.println("Supprimer une colonne");
        })));
        jmIEffacerDonnee = new JMenuItem((new MyAction("Effacer les données", KeyEvent.VK_E, e -> {
            System.out.println("Effacer les données");
        })));

        jmDonnees.add(jmIRedessiner);
        jmDonnees.add(jmIAjouterColonne);
        jmDonnees.add(jmISupprimerColonne);
        jmDonnees.add(jmIEffacerDonnee);

        jmBar.add(jmFichier);
        jmBar.add(jmDonnees);

        setJMenuBar(jmBar);
    }

    public static void main (String[] args) {
        SwingUtilities.invokeLater(Fenetre::new);
    }
}
